Package ghidra.app.util.opinion

# Class UnixAoutProgramLoader

java.lang.Object
ghidra.app.util.opinion.UnixAoutProgramLoader

public class UnixAoutProgramLoader extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `dot_bss`
  `static final String`
  `dot_data`
  `static final String`
  `dot_rel_data`
  `static final String`
  `dot_rel_text`
  `static final String`
  `dot_strtab`
  `static final String`
  `dot_symtab`
  `static final String`
  `dot_text`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnixAoutProgramLoader(Program program, UnixAoutHeader header, TaskMonitor monitor, MessageLog log)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `loadAout(long baseAddr)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dot_text

    public static final String dot_text
    See Also:
      - Constant Field Values

  - ### dot_data

    public static final String dot_data
    See Also:
      - Constant Field Values

  - ### dot_bss

    public static final String dot_bss
    See Also:
      - Constant Field Values

  - ### dot_rel_text

    public static final String dot_rel_text
    See Also:
      - Constant Field Values

  - ### dot_rel_data

    public static final String dot_rel_data
    See Also:
      - Constant Field Values

  - ### dot_strtab

    public static final String dot_strtab
    See Also:
      - Constant Field Values

  - ### dot_symtab

    public static final String dot_symtab
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UnixAoutProgramLoader

    public UnixAoutProgramLoader(Program program, UnixAoutHeader header, TaskMonitor monitor, MessageLog log)

- ## Method Details

  - ### loadAout

    public void loadAout(long baseAddr) throws IOException, CancelledException
    Throws:
      `IOException`
      `CancelledException`